Page MenuHomePhabricator

ext.pageforms.wikieditor module not being loaded in forms using editor=wikieditor in MW 1.30-RC0
Closed, ResolvedPublic

Description

Versions:

MediaWiki 1.30.0-rc.0 (25caa3a) 23:31, 29 November 2017
PHP 7.0.19-1 (apache2handler)
MariaDB 10.1.26-MariaDB-0+deb9u1
Lua 5.1.5
Page Forms 4.2 (8327fc9) 10:47, 27 November 2017

Exception:

load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=03hv2dp:3869 Uncaught TypeError: Cannot read property 'wikieditor' of undefined
    at getFunctionFromName (PageForms.js?b5215:1502)
    at HTMLDocument.<anonymous> (PageForms.js?b5215:1522)
    at mightThrow (load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=03hv2dp:3583)
    at process (load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=03hv2dp:3651)

In PageForms.js in function getFunctionFromName(), functionName is passed in as "window.ext.wikieditor.init", but the window object does not have a member "ext". It appears that the ext.pageforms.wikieditor module is not being loaded.

Event Timeline

cicalese created this task.Dec 6 2017, 6:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2017, 6:27 PM

@Foxtrott - can you look into this? Or do you at least have an idea where the fix should be made?

No idea. Is this on a public wiki?

Seems to be an issue with the dependency handling. I see the issue on https://sandbox.semantic-mediawiki.org/wiki/Sp%C3%A9cial:AjouterDonn%C3%A9es/20160211/x?debug=true, but not on https://sandbox.semantic-mediawiki.org/wiki/Sp%C3%A9cial:AjouterDonn%C3%A9es/20160211/x.
It is probably related to 8327fc9c06 only insofar as that patch changed loading times for scripts.

I see the error regardless of whether debug=true is set.

I do not see the error in MediaWiki 1.29, but I do in MediaWiki 1.30. I thought I had checked to be sure I was using the same version of the extension in both cases, which would rule out 8327fc9c06 as the source of the problem, but I could be mistaken.

I tested both MediaWiki 1.29 and MediaWiki 1.30 with PageForms version 4.2 (0bd8150) 19:12, 17 December 2017. The problem above does not occur with MediaWiki 1.29, but it does occur with MediaWiki 1.30.

Yaron_Koren closed this task as Resolved.Mar 8 2018, 10:24 PM
Yaron_Koren claimed this task.

I think this is fixed now!